Subject: Re: [PATCH] Add a message explaining that automatic GC is about to start

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 18 Oct 2007 20:16:48 -0400

Steven Grimm <[email-masked]> wrote:
> Brian Gernhardt wrote:
> >I'm not sure telling the users how to disable it every time it shows 
> >up is a good idea.  gc --auto exists for the naive user, and 
> >suggesting they turn it off each time it happens will just result 
> >in...  people turning it off, leading back to the performance issues 
> >that caused the feature to be installed in the first place.  Perhaps a 
> >message more along the lines of "To avoid this, run "git gc" manually 
> >on a regular basis.  See 'git help gc' for more information."
> 
> That's a good point. Jeff / Shawn, do you agree with that? I'll come up 
> with an alternate patch if so.

Arrgh.  I already have the original patch in this thread in my master
so I can't rewind it.  But yes, the argument Brian is making above
makes a lot of sense and I like his proposed message even better
than what I've already applied.

A patch against spearce/master to revert the prior message and insert
something that is perhaps more reasonable would be most appreciated.

-- 
Shawn.